Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Packaging GRAMPS 4.2.3

dragonfr67 Membre non connecté

Rang

Avatar

Inscrit le : 16/09/2014 à 10h50

Localisation : STRASBOURG

Messages: 49

Le 22/07/2016 à 18h52
Bonjour,

je ne sais pas si je suis dans le bon forum.

Je suis généalogiste et j'utilise le très bon logiciel GRAMPS depuis de très nombreuses années et je viens de me rendre compte que Mageia utilise une version très vieille la 4.1.3 alors que le 4.2.3 est sorti en avril 2016.

Et une archi grosse nouvelle version est en train de naître la 5

Bref, est ce que je suis au bon endroit pour demander que le RPM de Gramps 4.2.3 soit fait ?

Merci dans tous les cas

Didier
Site web    
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 22/07/2016 à 22h18
Salut :)

La version 4.2.3.1 est présente sous Cauldron, je viens de te faire le paquet qui va bien pour Mageia 5 :)

Cette nouvelle version, necessite une dépendances présente aussi sous Cauldron, mais pas Mageia 5, evidemment, je t'ai fait aussi ce paquet là ;)

Tu trouveras en lien ci-dessous:

La dépendance python3 a extraire du .zip, et a installer en premier.
Puis Gramps version 4.2.3.1.
J'ai essayer sous Machine virtuelle l'installation ce fait sans erreur, et le logiciel ce lance.
N'oublie pas de désinstaller l'ancienne version.
Fais moi signe en cas de soucis ;)

http://www.aht.li/2926015/python3.zip
http://www.aht.li/2926016/GRAMPS_4231.zip

Vigen.
   
dragonfr67 Membre non connecté

Rang

Avatar

Inscrit le : 16/09/2014 à 10h50

Localisation : STRASBOURG

Messages: 49

Le 23/07/2016 à 17h20
Yeeeeees, ça marche nickel

Merci Merci Merci :-)

Il faut bien entendu faire des copies des bases de données avant la manip sinon on perd tout, mais je suis super prudent avec ça. Je fais de la généalogie depuis mes 15 ans, donc depuis 31 ans, oups, ça fais vieux :-)

En tout cas merci beaucoup Vigen ça fait plaisir une tel réactivité, surtout que sur le site de Gramps ils ne parlent que de Ubuntu et pas de notre Mageia.

Si tu passes par Strasbourg, je t'offre un dîner :-)

Je penserai à toi quand ils sortiront le version 5 :-) Vraiment ce soft est le meilleur pour la généalogie

Bon week end

Didier
Site web    
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 23/07/2016 à 19h25
Content que cela puisse t'aider à assouvir une passion ;)

Je prend note de l'offre !!! :D

Bon week-end et a bientot.

Vigen.
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 774

Le 01/08/2016 à 17h37
Bonjour,dragonfr67:

...
Il faut bien entendu faire des copies des bases de données avant la manip sinon on perd tout, mais je suis super prudent avec ça. Je fais de la généalogie depuis mes 15 ans, donc depuis 31 ans, oups, ça fais vieux :-)
...
Didier

C'est bien là le drame, un oubli de sauvegarde, et on peut ne pas retrouver sa base...ça m'est arrivé en passant de Mageia4.1 à Mageia5...heureusement que j'ai eu l'idée de réinstaller la 4.1 dans VirtualBox pour faire la sauvegarde...

@vigen, en cas de nouvelle version Gramps, y aurait il un moyen automatique à l'installation de la nouvelle version que celle-ci commence d'abord par faire une sauvegarde?


PC1: HPxw9400 Mageia7 Plasma (ex Mageia5 kernel panic 4.1.8 résolu en passant à Grub1)
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1594

Le 01/08/2016 à 18h29
Bonsoir,

Etant également utilisateur de Gramps, j'adresse un grand merci à Vigen pour cette nouvelle version qui apporte des améliorations nettes par rapport à la précédente:
plus de faux message d'erreur concernant la vue graphique au démarrage, affichage des individus regroupés par nom de famille, et peut-être d'autres à découvrir.

:super: Merci


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 LXQT
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 774

Le 01/08/2016 à 18h51
Hello,
DéBé :
Bonsoir,

Etant également utilisateur de Gramps, j'adresse un grand merci à Vigen pour cette nouvelle version qui apporte des améliorations nettes par rapport à la précédente:
...

Quelle version de BSDBD dans Gramps 4.2.3.1 (cf Aide->A propos), dans la courante c'est
Citation :
GRAMPS: 4.1.3-1
Python: 2.7.9 (default, Jun 21 2016, 14:34:25) [...
BSDDB: 5.3.0 (5, 3, 28)
LANG: fr_FR.UTF-8
OS: Linux
Distribution: 4.4.13-server-1.mga5
car il me semble que c'est plus un changement de celle-ci qu'un changement de Gramps qui implique obligatoirement une sauvegarde...Cela n'empêche pas ma question
Citation :
@vigen, en cas de nouvelle version Gramps, y aurait il un moyen automatique à l'installation de la nouvelle version que celle-ci commence d'abord par faire une sauvegarde?
Edité par kalagani Le 01/08/2016 à 18h53


PC1: HPxw9400 Mageia7 Plasma (ex Mageia5 kernel panic 4.1.8 résolu en passant à Grub1)
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1594

Le 01/08/2016 à 19h06
Salut Kalagani :
Citation:
GRAMPS: 4.2.3
Python: 3.4.3 (default, Jun 21 2016, 19:45:55) [...
BSDDB: 6.1.1 (5, 3, 28)
LANG: fr_FR.UTF-8
OS: Linux
Distribution: 4.4.16-desktop-1.mga5


J'ai fait une sauvegarde avant de désinstaller la précédente version, puis au démarrage Gramps 4.2.3 m'a demandé de confirmer que j'avais bien une sauvegarde récente.

Mais la nouvelle version a bien importé sans problème la base de donnée habituelle.

Citation:
en cas de nouvelle version Gramps, y aurait il un moyen automatique à l'installation de la nouvelle version que celle-ci commence d'abord par faire une sauvegarde?

A mon avis, il est indispensable que la sauvegarde soit faite depuis l'ancienne version , mais je peux me tromper....


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 LXQT
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 774

Le 01/08/2016 à 22h09
Hello, DéBé:
.
...
Citation:
en cas de nouvelle version Gramps, y aurait il un moyen automatique à l'installation de la nouvelle version que celle-ci commence d'abord par faire une sauvegarde?

A mon avis, il est indispensable que la sauvegarde soit faite depuis l'ancienne version , mais je peux me tromper....

Je le pense aussi...c'est pourquoi j'ai écris "commence d'abord"...
mais en effet ce n'est pas à l'installateur ("urpmi" ou autre) de le faire mais à un script (ou assimilé) dans le nouveau paquet Gramps, lequel lancerait la sauvegarde sous l'ancienne version, puis une fois faite s'installerait...


PC1: HPxw9400 Mageia7 Plasma (ex Mageia5 kernel panic 4.1.8 résolu en passant à Grub1)
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 14/08/2016 à 20h35
Bonsoir,

Désolé de répondre si tard, mais congès obligent !!!! :D

Pourquoi ne pas faire une sauvegarde avec Grsync?

On indique le dossier source, le dossier destination...... pas plus compliqué que cela ;) Edité par Visiteur Le 14/08/2016 à 20h49
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1594

Le 15/08/2016 à 09h02
Salut Vigen,

Je pense qu' il faut absolument faire une sauvegarde au format de Gramps (nomsauvegarde.gpkg) et ensuite la restaurer à partir de la nouvelle version... Edité par DéBé Le 16/08/2016 à 10h13


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 LXQT
   
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 15/08/2016 à 10h44
Bonjour,

Je ne connais pas plus que cela Gramps, je pensais que c'était un fichier "lambda".... :)

Vigen.
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie